Bug 119246 - [maintainer-update] net-mgmt/nagios-devel: Link binaries against libthr(3) where available
Summary: [maintainer-update] net-mgmt/nagios-devel: Link binaries against libthr(3) wh...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-02 05:30 UTC by Jarrod Sayers
Modified: 2008-01-19 19:50 UTC (History)
0 users

See Also:


Attachments
net-mgmt-nagios-devel-3.0.r1-lthr.diff (2.64 KB, patch)
2008-01-02 05:30 UTC, Jarrod Sayers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jarrod Sayers 2008-01-02 05:30:03 UTC
Many users have reported issues whereby a fork()'d Nagios process consumes 100%
of it's available CPU time.  Depending on system configurations this can have
detrimental side affects until the process is killed or the system restarted.

Users have been working around this by mapping out the use of libpthread(3) in
/etc/libmap.conf.  This patch should resolve this issue by compiling Nagios
binaries against the libthr(3) threading library where available removing the
need to map libpthread(3) out.

This patch will be ported to the Nagios 2.x stream shortly, pending positive
feedback from this patch.

Fix: Downloadable diff from:
http://www.netleader.com.au/~jarrod/FreeBSD/net-mgmt-nagios-devel-3.0.r1-lthr.diff
Comment 1 Wesley Shields freebsd_committer 2008-01-05 17:18:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take this one.
Comment 2 Wesley Shields freebsd_committer 2008-01-05 17:22:29 UTC
State Changed
From-To: open->analyzed
Comment 3 dfilter service freebsd_committer 2008-01-19 19:44:34 UTC
wxs         2008-01-19 19:44:29 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios-devel Makefile 
    net-mgmt/nagios-devel/files patch-configure.in 
  Log:
  Link with libthr when available.  This should fix the CPU consumption
  problem.
  
  PR:             ports/119246
  Submitted by:   Jarrod Sayers (maintainer)
  Approved by:    garga (mentor)
  
  Revision  Changes    Path
  1.8       +1 -0      ports/net-mgmt/nagios-devel/Makefile
  1.3       +39 -5     ports/net-mgmt/nagios-devel/files/patch-configure.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wesley Shields freebsd_committer 2008-01-19 19:44:37 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.